#include "rjte.h"

int main()
{
	/* Hardware initialization, must call this first */
	initialize();

	/* Make sure the pot is connected and off */
	if (PINC & 1)
	{
		TCCR0 = 5;

		while (1)
		{
			unsigned char i;
			for (i = 0; i < 8; i++)
			{
				loop_until_bit_is_set(TIFR, TOV0);
				TIFR |= (1 << TOV0);
			}

			PORTD ^= 0xe0;
		}
	}

	LED2 = ON;

	/* Turn off pullups so they won't interfere with the pot. */
	PORTC = 0x00;

	/* Initialize the ADC */
	ADCSRA = 0xc0;
	ADMUX = 0x20;

	/* Wait for the first (calibration) conversion */
	loop_until_bit_is_clear(ADCSRA, ADSC);

	while (1)
	{
		/* Start a conversion */
		ADCSRA |= (1 << ADSC);

		/* Wait for the conversion to finish */
		loop_until_bit_is_clear(ADCSRA, ADSC);

		setMotorA(ADCH, FORWARD);
	}
}

