#include "rjte.h"

int main()
{
	u8 speed, dir;
	s8 inc;

	/* Hardware initialization, must call this first */
	initialize();

	/* Set up timer 0 */
	TCCR0 = 5;		/* clk/1024 prescalar, overflows at 56.25Hz */

	speed = 0;
	dir = FORWARD;
	inc = 1;
	while (1)
	{
		loop_until_bit_is_set(TIFR, TOV0);
		TIFR |= (1 << TOV0);

		speed += inc;

		if (speed == 255)
			inc = -1;

		if (speed == 0)
		{
			dir ^= 1;
			inc = 1;
		}

		setMotorA(speed, dir);
		setMotorB(speed, dir);

		LED1 = dir;

		if (inc == 1)
			LED2 = ON;
		else LED2 = OFF;
	}
}

